API referenceTikTok
TikTok comments
Comments on a TikTok post, paged with a cursor.
Top-level comments on a video or photo post. Set include_replies to
attach replies to the comments that have them, which is slower.
Authorization
ApiKeyAuth X-API-Key<token>
Your API key. Sent on every request.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/scrapers/tiktok-comments-v3" \ -H "Content-Type: application/json" \ -d '{ "url": "https://www.tiktok.com/@tiktok/video/7646496890783010078" }'{ "request_id": "req_8f2c1d94e7b0", "success": true, "status": { "code": "OK", "message": "Scrape completed.", "retryable": false }, "data": { "comments": [ { "author_id": "7534192350139712519", "author_name": "➳❥ 𝓢𝓹𝓸𝓴𝓮𝓯𝓪𝓷 ❥➳", "author_privacy_status": "public", "author_profile_image": "https://p16-common-sign.tiktokcdn-us.com/tos-alisg-avt-0068/fb82fe4e433d0274638ec67d5a3695b9~tplv-tiktokx-cropcenter-q:100:100:q70.jpeg?dr=8835&idc=useast5&ps=87d6e48a&refresh_token=b04c0dde&s=COMMENT_LIST&sc=avatar&shcp=ff37627b&shp=30310797&t=223449c4&x-expires=1787572800&x-signature=IGPaKa49KYLLmLNCCyJb0BAI5GM%3D", "author_region": "PH", "author_sec_uid": "MS4wLjABAAAAqcFOw0--zuLrNxNkCw8uYXtUwPiyx_EI0aaVeaccFYncsg23uCIOlXP-TxqeG1FR", "author_signature": "𝔈𝔐𝔅ℜ𝔄ℭ𝔈 𝔑𝔘𝔏𝔏!!⭐️👑", "author_username": "spoke1_fan", "author_verification_status": false, "comment_id": "7647000519323681557", "comment_images": [], "comment_text": "Tiktok has tiktok?", "like_count": 67, "published_date": 1780456070, "replies": [], "reply_count": 6 }, { "author_id": "7631632051300844564", "author_name": "chua moi tinh dau", "author_privacy_status": "public", "author_profile_image": "https://p19-common-sign.tiktokcdn-us.com/musically-maliva-obj/1594805258216454~tplv-tiktokx-cropcenter-q:100:100:q70.jpeg?dr=8835&idc=useast5&ps=87d6e48a&refresh_token=76b1f283&s=COMMENT_LIST&sc=avatar&shcp=ff37627b&shp=30310797&t=223449c4&x-expires=1787572800&x-signature=jOQa9JHTUNCmC3rso9PA6j7DHOI%3D", "author_region": "VN", "author_sec_uid": "MS4wLjABAAAAmvUDfavAwOSpQdHbM9Y27rdi9e1FB1Ya_S_cb9yucwWZ5RrB_fmE0OLlotQ7twO6", "author_signature": "I love @TikTok", "author_username": "tranthiynhi1410", "author_verification_status": false, "comment_id": "7650145267530253077", "comment_images": [], "comment_text": "l love tiktok", "like_count": 0, "published_date": 1781188258, "replies": [], "reply_count": 0 }, "… 47 more items in the full response" ], "pagination": { "has_more": true, "next_cursor": "50" }, "total": 2304 }, "error": null, "meta": { "client_id": "client_abc123", "scraper": "tiktok-comments-v3", "billable": true, "duration_ms": 427 }}